org.apache.pdfbox.pdmodel.interactive.digitalsignature

## Interface SignatureInterface

    public interface SignatureInterface

Providing an interface for accessing necessary functions for signing a PDF document.

Author:
  Thomas Chojecki

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `sign(InputStream content)` Creates a cms signature for the given content

### Method Detail

#### sign

    byte[] sign(InputStream content)
         throws IOException

Creates a cms signature for the given content

Parameters:
  `content` - is the content as a (Filter)InputStream
Returns:
  signature as a byte array
Throws:
  `IOException` - if the signature could not be created